# What is this repository for? ###

## 3DS Sample App - iOS
This app demonstrates how to use mSIGNIA's `uSDK` to create transactions.
# Version
 1.0.2


# How do I get set up? ###

**Note: This app assumes you have the sample server running locally. If you change any configuration of that server, you will need to make a similar change in the app. For instance, if the port the server is running on is not `8080`, then that will need to be changed in the app's `WebService` class.**

## uSDK Pod
To install `uSDK`, download the file from the secure link on the sample app's release page and follow these steps:

1. Place the `uSDK.framework` directory into the project directory
2. Open the `ThreeDS-Sample.xcworkspace`
3. In Xcode, click on the project. Then click on the `ThreeDS-Sample` target. Finally, click on `Build Phases`. 
4. Expand the `Link Binary With Libraries` section.
5. Click the `+`
6. Then click `Add Other` and choose `Add Files`
7. Navigate to the `uSDK.framework` directory
8. Click `Open`
9.  Return to `Build Phases`
10. Click the `+` button in the upper right hand corner
11. Add a new `Copy Files Phase`
12. In the `Copy Files Phase`, in the `Destination` dropdown, select `Frameworks`
13. Press the `+` in the `Copy Files` phase
14. Press `Add Other`, locate `uSDK` and click `Open`

Now you can build the project.

## Configuration

1. Enter your license key in the `LICENSE_KEY` user defined variable in Xcode’s `Build Settings`.

2. To change the URL that the app points to, modify the `BASE_URL` user defined variable in Xcode’s `Build Settings`.
3. Optionally, you can clean (cmd+shift+k) or "super clean" (cmd+option+shift+k) the project after doing steps 1 & 2 so that your changes are sure to take affect.

## Usage
After installing the framework, in the upper left corner of Xcode, press the run or play button.

Once the app is open, allow location services, then press the `Create Transaction` button.


## Constact
[mSIGNIA](mailto:pavlo.lysov@msignia.com)